Поиск в Поддержке

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

firefox4 java plugin

  • 5 ответов
  • 72 имеют эту проблему
  • 68 просмотров
  • Последний ответ от cor-el

more options

My java plugin in Firefox4 is not detected and is installed similar to older versions of Firefox. Where do I install the java plugin?

Выбранное решение

The screenshots of Epiphany and SeaMonkey show the old Java plugin (libjavaplugin_oji.so)

Do you also have the Next-Generation Java plugin (libnpjp2.so) ?
You need that Java plugin for Firefox 3.6 and 4.0 versions.

See http://java.sun.com/javase/6/webnotes/install/jre/manual-plugin-install-linux.html

See also http://kb.mozillazine.org/Java

ln -s /usr/local/java/jre1.6.0_20/lib/i386/libnpjp2.so libnpjp2.so
ln -s /usr/lib/jvm/jre/lib/i386/libnpjp2.so /usr/lib/mozilla/plugins/libnpjp2.so (java-1_6_0-sun-plugin)
Прочитайте этот ответ в контексте 👍 3

Все ответы (5)

more options

See http://java.sun.com/javase/6/webnotes/install/jre/manual-plugin-install-linux.html

Are you installing Java via your distribution or do you install Java yourself ?

more options

Hello cor-el,

I am installing java myself using Oracle's web site instructions as given in:

  http://java.com/en/download/help/linux_install.xml#rpm

Java works in my SeaMonkey 1.9 and Epiphany 2.26 browsers and worked in Firefox 3.6 & previous versions, but has not worked in Firefox4.

Thus, this is a specifice Firefox4 problem.

Thanks for your response, j_75080

more options

Выбранное решение

The screenshots of Epiphany and SeaMonkey show the old Java plugin (libjavaplugin_oji.so)

Do you also have the Next-Generation Java plugin (libnpjp2.so) ?
You need that Java plugin for Firefox 3.6 and 4.0 versions.

See http://java.sun.com/javase/6/webnotes/install/jre/manual-plugin-install-linux.html

See also http://kb.mozillazine.org/Java

ln -s /usr/local/java/jre1.6.0_20/lib/i386/libnpjp2.so libnpjp2.so
ln -s /usr/lib/jvm/jre/lib/i386/libnpjp2.so /usr/lib/mozilla/plugins/libnpjp2.so (java-1_6_0-sun-plugin)
more options

Yes, I have the libnpjp2.so plugin and now have installed it. Java now is installed and works.

Thanks for your help, j_75080